Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net.jsse
Class JSSEFactory

    java.lang.Object
      org.apache.tomcat.util.net.jsse.JSSEFactory

    public class JSSEFactory

extends java.lang.Object

Factory interface to construct components based on the JSSE version in use.

Author:
  Bill Barker, Filip Hanik

Constructor Summary
`JSSEFactory()`

Method Summary
`ServerSocketFactory` | `getSocketFactory()` Returns the ServerSocketFactory to use.
`SSLSupport` | `getSSLSupport(java.net.Socket socket)` returns the SSLSupport attached to this socket.
`SSLSupport` | `getSSLSupport(javax.net.ssl.SSLSession session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSSEFactory

    public JSSEFactory()

Method Detail

### getSocketFactory

    public ServerSocketFactory getSocketFactory()

  Returns the ServerSocketFactory to use.

### getSSLSupport

    public SSLSupport getSSLSupport(java.net.Socket socket)

  returns the SSLSupport attached to this socket.

### getSSLSupport

    public SSLSupport getSSLSupport(javax.net.ssl.SSLSession session)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.